Subject: [bug#36692] test failures

From: Robert Vollmert <[email-masked]>
Date: Tue, 16 Jul 2019 21:00:31 +0200

> On 16. Jul 2019, at 18:28, Marius Bakke <[email-masked]> wrote:
> 
> Robert Vollmert <[email-masked]> writes:
> 
>> I was able to run both tests from the build directory in /tmp,
>> and they both passed fine. Also they both involve user ids, I
>> suspect those might differ in the build container?
>> 
>> main = do
>>    void $ forkIO $ forever $ getGroupEntryForID 0
>>    void $ forkIO $ forever $ getGroupEntryForID 0
>>    threadDelay (3*1000*1000)
>> 
>> main = do
>>    root <- getUserEntryForName "root"
>>    putStrLn (ue2String root)
>>    root' <- getUserEntryForID (userID root)
>>    putStrLn (ue2String root')
>>    if homeDirectory root == homeDirectory root' &&
>>       userShell     root == userShell     root'
>>        then putStrLn "OK"
>>        else putStrLn “Mismatch"
> 
> The only reliable user ID available in the build container is 'nobody'
> with UID and GID 65534 and the (see nix/libstore/build.cc:1862).
> 
> You can likely patch these tests to refer to that instead.

I chose to skip them instead — specializing them to nobody/65534 doesn’t
seem helpful in the end.